function plotmodelcpdf(fgnum, ygrid, xgrid, b0, mu0, alpha0, hy0, hx0, nuy0, nux0, m0)

xgridlen = length(xgrid(1,:));
ypdf = reshape(repmat(ygrid, length(xgrid(1,:)), 1),1, length(ygrid)*length(xgrid(1,:)));
xpdf = repmat(xgrid, 1, length(ygrid));

condpdftrue = pdfycondxparam(ypdf, xpdf, [ones(1,length(xpdf(1,:)));xpdf], b0, mu0, alpha0, hy0, hx0, nuy0, nux0, m0);
figure(fgnum);

for xind = 1:xgridlen
    subplot(ceil(xgridlen/2),2,xind);
    plot(ygrid, condpdftrue(xind+xgridlen*(0:length(ygrid)-1)), 'LineStyle', '-');
    hold on;
end
